<dx-responsive-box singleColumnScreen="sm" [(screenByWidth)]="screen">
  <dxi-row [ratio]="1"></dxi-row>
  <dxi-row [ratio]="2" screen="xs"></dxi-row>
  <dxi-row [ratio]="2"></dxi-row>
  <dxi-row [ratio]="1"></dxi-row>

  <dxi-col [ratio]="1"></dxi-col>
  <dxi-col [ratio]="2" screen="lg"></dxi-col>
  <dxi-col [ratio]="1"></dxi-col>
  <dxi-item>
    <dxi-location [row]="0" [col]="0" [colspan]="3" screen="lg"></dxi-location>
    <dxi-location [row]="0" [col]="0" [colspan]="2" screen="sm"></dxi-location>
    <div *dxTemplate class="header item"></div>
  </dxi-item>
  <dxi-item>
    <dxi-location [row]="1" [col]="1" screen="lg"></dxi-location>
    <dxi-location [row]="1" [col]="0" [colspan]="2" screen="sm"></dxi-location>
    <div *dxTemplate class="content item" style="margin: 5%">
      <dxi-item itemtype="label">
        <div *ngIf="isRecipeFavorite">
          <div>
            <p>
              <dx-button icon="favorites"></dx-button> It's your favorite recipe
            </p>
          </div>
          <div><b>Recipe name: </b>{{ this.recipeDetailInfo.title }}</div>
        </div>
        <div *ngIf="!isRecipeFavorite">
          <div>
            <p>Recipe detail</p>
          </div>
          <div><b>Recipe name: </b>{{ this.recipeDetailInfo.title }}</div>
        </div>
      </dxi-item>

      <dxi-item itemtype="label"
        ><b>Recipe instruction: </b>
        {{ this.recipeDetailInfo.instructions }}</dxi-item
      >
      <dxi-item itemtype="label"
        ><b>Preparation time:</b>
        {{ this.recipeDetailInfo.readyInMinutes }}
        <b *ngIf="this.recipeDetailInfo.readyInMinutes !== undefined">
          min</b
        ></dxi-item
      >
      <dxi-item itemtype="label"
        ><b>Number of servings:</b>
        {{ this.recipeDetailInfo.servings }}</dxi-item
      >

      <dx-button
        style="margin: 2%; float: right"
        stylingMode="contained"
        text="Similar recipe"
        type="default"
        (onClick)="recipeSimilarOnClick($event)"
      >
      </dx-button>
    </div>
  </dxi-item>
  <dxi-item>
    <dxi-location [row]="1" [col]="0" screen="lg"></dxi-location>
    <dxi-location [row]="2" [col]="0" screen="sm"></dxi-location>
    <div *dxTemplate class="left-side-bar item" style="margin: 6%">
      <dxi-item style="margin: 2%"
        ><div class="widget-container">
          <dx-gallery
            [dataSource]="recipeImage"
            [height]="300"
            width="100%"
            [loop]="true"
            [showIndicator]="false"
          >
          </dx-gallery>
        </div>
        <dx-button
          style="margin: 2%; float: right"
          stylingMode="contained"
          text="Add to favorite"
          type="default"
          (onClick)="recipeAddToFavoriteOnClick($event)"
        >
        </dx-button>
        <dx-button
          style="margin: 2%; float: right"
          stylingMode="contained"
          text="Remove from favorite"
          type="default"
          (onClick)="recipeRemoveFromFavoriteOnClick($event)"
        >
        </dx-button>
      </dxi-item>
    </div>
  </dxi-item>
  <dxi-item>
    <dxi-location [row]="1" [col]="2" screen="lg"></dxi-location>
    <dxi-location [row]="2" [col]="1" screen="sm"></dxi-location>
    <div *dxTemplate class="right-side-bar item"></div>
  </dxi-item>
</dx-responsive-box>

<dx-popup
  title="Similar recipe"
  [visible]="isPopupVisible"
  [shading]="true"
  shadingColor="rgba(0, 0, 0, 0.2)"
  (onHiding)="hiding($event)"
  [resizeEnabled]="true"
  [deferRendering]="false"
>
  <dx-responsive-box singleColumnScreen="sm" [(screenByWidth)]="screen">
    <dxi-row [ratio]="1"></dxi-row>
    <dxi-row [ratio]="2" screen="xs"></dxi-row>
    <dxi-row [ratio]="2"></dxi-row>

    <dxi-col [ratio]="1"></dxi-col>
    <dxi-col [ratio]="2" screen="lg"></dxi-col>
    <dxi-col [ratio]="1"></dxi-col>

    <dxi-item>
      <dxi-location [row]="1" [col]="1" screen="lg"></dxi-location>
      <dxi-location
        [row]="1"
        [col]="0"
        [colspan]="2"
        screen="sm"
      ></dxi-location>
      <div *dxTemplate class="content item">
        <dx-data-grid
          id="gridContainer"
          [dataSource]="recipeSimilar"
          [showBorders]="true"
          [rowAlternationEnabled]="true"
        >
          <dxi-column dataField="title" caption="Name"></dxi-column>
          <dxi-column
            dataField="readyInMinutes"
            caption="Preparation time"
          ></dxi-column>
        </dx-data-grid>

        <dx-button
          style="margin: 2%; float: right"
          stylingMode="contained"
          text="Detail"
          type="default"
          text="Close"
          (onClick)="buttonCloseClick($event)"
        >
        </dx-button>
      </div>
    </dxi-item>
  </dx-responsive-box>
</dx-popup>
